declare const baseConfig: {
    root: boolean;
    env: {
        es2021: boolean;
        node: boolean;
    };
    extends: string[];
    parserOptions: {
        project: string;
        sourceType: string;
    };
    rules: {
        'import/prefer-default-export': number[];
        'import/order': (string | {
            'newlines-between': string;
        })[];
        'import/no-duplicates': string;
        'import/no-default-export': string;
        'no-param-reassign': (number | {
            props: boolean;
        })[];
        'no-var': string;
        'prefer-const': string;
        quotes: (string | {
            avoidEscape: boolean;
        })[];
    };
    overrides: {
        files: string[];
        extends: string[];
        parser: string;
        parserOptions: {
            project: string[];
        };
        plugins: string[];
    }[];
};
export declare const eslintRc: typeof baseConfig & {
    settings?: Record<string, object>;
};
export {};
