"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsconfigBuild = exports.tsconfig = void 0;
exports.tsconfig = {
    include: [
        '@types/**/*',
        'src/**/*',
        '__tests__/**/*',
        '__mocks__/**/*',
        'coconfig.ts',
        'vitest.config.ts',
        'tsup.config.ts',
    ],
    exclude: ['node_modules', 'build'],
    compilerOptions: {
        lib: ['ES2022', 'DOM'],
        module: 'NodeNext',
        moduleResolution: 'NodeNext',
        target: 'ES2022',
        declaration: true,
        sourceMap: true,
        outDir: './build',
        incremental: true,
        isolatedModules: true,
        strict: true,
        baseUrl: './src',
        allowSyntheticDefaultImports: true,
        esModuleInterop: true,
        experimentalDecorators: true,
        skipLibCheck: true,
    },
};
exports.tsconfigBuild = {
    extends: './tsconfig.json',
    exclude: [
        'src/**/*.spec.ts',
        'src/**/*.test.ts',
        '__tests__/**/*.ts',
        '__mocks__/**/*.ts',
        'coconfig.ts',
        'vitest.config.ts',
    ],
};
//# sourceMappingURL=tsconfig.js.map