"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.vitestConfig = vitestConfig;
const fs_1 = __importDefault(require("fs"));
function vitestConfig() {
    // eslint-disable-next-line @typescript-eslint/no-require-imports
    const { configDefaults, defineConfig } = require('vitest/config');
    const config = {
        test: {
            watch: false,
            exclude: ['.trunk', '**/build/**', ...configDefaults.exclude],
        },
    };
    if (fs_1.default.existsSync('__tests__/vitest.setup.ts')) {
        config.test.globalSetup = '__tests__/vitest.setup.ts';
    }
    if (fs_1.default.existsSync('__tests__/vitest.test-setup.ts')) {
        config.test.setupFiles = '__tests__/vitest.test-setup.ts';
    }
    return defineConfig(config);
}
//# sourceMappingURL=vitest.js.map